#ifndef A7XM_H_
#define A7XM_H_


#include <stdint.h>

typedef struct A7X_t {
	void *form; // the platform
	char *xmdata;
	float *sndbuf, *outbuf;
	size_t xmsize, bufsize, periodsize;
	uint8_t chan, run, pos, pat, row;
	uint16_t tick, num_patterns, length, bpm, tempo;
	uint32_t rate;
	uint64_t samples;
	float preamp;
} A7X;

A7X *A7Run(char *data, int size);
void A7Stop(A7X *a7x);
void A7Seek(A7X *a7x, int pos, int row, int tick);

int A7FInit(A7X *);
void A7FPlay(A7X *);
void A7FShutdown(A7X *);

#endif // A7XM_H_
